#!/bin/sh

set -e

at_exit() {
    echo "info: test exiting"
}
trap at_exit INT TERM EXIT

echo "info: Running xprintidle inside xvfb."
if xvfb-run -a xprintidle ; then
   echo "success: No error code returned from xprintidle."
else
   echo "error: Error code returned from xprintidle."
   exit 1
fi

exit 0
